kdecore Library: KAboutPerson Class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KAboutPerson Class Reference

This structure is used to store information about a person or developer. More...

`#include <kaboutdata.h>`

List of all members.

## Public Member Functions
| KAboutPerson (const char *name, const char *task, const char *emailAddress, const char *webAddress)
QString | name () const
QString | task () const
QString | emailAddress () const
QString | webAddress () const

## Detailed Description

This structure is used to store information about a person or developer.

It can store the person's name, a task, an email address and a link to a home page. This class is intended for use in the KAboutData class, but it can be used elsewhere as well. Normally you should at least define the person's name.

Example Usage within a main():

KAboutData about("khello", I18N_NOOP("KHello"), "0.1", I18N_NOOP("A KDE version of Hello, world!"), KAboutData::License_LGPL, I18N_NOOP("Copyright (c) 2003 Developer"));

about.addAuthor("Joe Developer", I18N_NOOP("developer"), "joe@host.com", 0); about.addCredit("Joe User", I18N_NOOP("A lot of bug reports"), "joe.user@host.org", 0); KCmdLineArgs::init(argc, argv, &about);

Definition at line 52 of file kaboutdata.h.

## Constructor & Destructor Documentation

KAboutPerson::KAboutPerson | ( | const char * | name,
|  | const char * | task,
|  | const char * | emailAddress,
|  | const char * | webAddress
| ) | `[inline]`

  | Convenience constructor. Parameters:
  | name | The name of the person.
  | task | The task of this person. This string should be marked for translation, e.g. I18N_NOOP("Task description....")
  | emailAddress | The email address of the person.
  | webAddress | Home page of the person.
Definition at line 68 of file kaboutdata.h.

## Member Function Documentation

QString KAboutPerson::name | ( |  | ) | const

| The person's name. Returns: the person's name (can be QString::null, if it has been constructed with a null name) Definition at line 29 of file kaboutdata.cpp. References QString::fromUtf8().

QString KAboutPerson::task | ( |  | ) | const

| The person's task. Returns: the person's task (can be QString::null, if it has been constructed with a null task) Definition at line 35 of file kaboutdata.cpp.

QString KAboutPerson::emailAddress | ( |  | ) | const

| The person's email address. Returns: the person's email address (can be QString::null, if it has been constructed with a null email) Definition at line 44 of file kaboutdata.cpp. References QString::fromUtf8().

QString KAboutPerson::webAddress | ( |  | ) | const

| The home page or a relevant link. Returns: the persons home page (can be QString::null, if it has been constructed with a null home page) Definition at line 51 of file kaboutdata.cpp. References QString::fromUtf8().

The documentation for this class was generated from the following files:

- kaboutdata.h
- kaboutdata.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:15 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003